**************部分stata代码公开***************
*基准回归
ta instry,gen(instrydum)
ta year,gen(yeardum)
ta province,gen(provincedum)
xtreg patentaa greenvalue
est store OLS
xtreg patentaa  yeardum* instrydum* provincedum*, vce(cluster stkcd)
est store FE
xtreg patentaa investments life lnwage Assetliabi cash size lnK insitown yeardum* instrydum* provincedum*, vce(cluster stkcd)
est store FE

xtnbreg patenta greenvalue
est store nbreg1
xtnbreg patenta greenvalue yeardum* instrydum* provincedum*
est store nbreg2
xtnbreg patentaa greenvalue life lnwage Assetliabi cash size lnK insitown yeardum* instrydum* provincedum*
est store nbreg3
*工具变量
ivreg2 patentaa life lnwage Assetliabi cash size lnK insitown  (greenvalue=deps1) yeardum* instrydum* provincedum*,r first
ivregress liml  patentaa life lnwage Assetliabi cash size lnK insitown  (greenvalue =deps1) yeardum* instrydum* provincedum*,first
*稳健性

set seed 10101
gen ranorder=runiform()
sort ranorder
psmatch2 green life lnwage Assetliabi cash size lnk insitown,outcome(patentaa) n(4) ate ties logit common  
set seed 10101
est store f1
bootstrap r(att) r(atu) r(ate),reps(200):psmatch2 green life lnwage assetliabi cash size lnk insitown,outcome(patentaa) n(4) ate ties logit common 
est store f2
quietly psmatch2 green life lnwage Assetliabi cash size lnk insitown,outcome(patentaa) n(4) ate ties logit common
pstest life lnwage assetliabi cash size lnk insitown,both graph
est store f3

reg patentvv greenvalue
est store v1
xtreg patentvv greenvalue yeardum* instrydum* provincedum*, vce(cluster stkcd)
est store v2
xtreg patentvv greenvalue life lnwage Assetliabi cash size lnK insitown yeardum* instrydum* provincedum*, vce(cluster stkcd)
est store v3

xtreg patentaa green
est store g1
xtreg patentaa green yeardum* instrydum* provincedum*, vce(cluster stkcd)
est store g2
xtreg patentaa green life lnwage Assetliabi cash size lnK insitown yeardum* instrydum* provincedum*, vce(cluster stkcd)
est store g3

*机制分析
xtreg jobss greenvalue life lnwage Assetliabi cash size lnK insitown yeardum* instrydum* provincedum*, vce(cluster stkcd)
est store job
xtreg lnRD greenvalue  life lnwage Assetliabi cash size lnK insitown yeardum* instrydum* provincedum*, vce(cluster stkcd)
est store rd
xtreg patentaa jobs greenvalue life lnwage Assetliabi cash size lnK insitown  yeardum* instrydum* provincedum*, vce(cluster stkcd)
est store pjob
reg patentaa lnRD greenvalue life lnwage Assetliabi cash size lnK insitown yeardum* instrydum* provincedum*, vce(cluster stkcd)
est store prd

sgmediation patentaa,mv(jobs) iv(greenvalue) cv(life lnwage Assetliabi cash size lnK insitown yeardum* instrydum* provincedum*)
est store s1
bootstrap r(ind_eff) r(dir_eff),reps(500):sgmediation patentaa,mv(jobss) iv(greenvalue) cv(life lnwage Assetliabi cash size lnK insitown instrydum* yeardum* provincedum*)
est store m1
estat bootstrap,percentile bc
est store m2



